Loading...
Searching...
No Matches
serial::GsmModem::Information Struct Reference

Structure holding information about the modem and the SIM card. More...

## Public Attributes

string | imei
| IMEI of the modem.
string | imsi
| IMSI of the SIM card.
string | manufacturer
| modem manufacturer string
string | model
| modem model string
string | revision
| modem revision string
string | ownNumber
| own phone number in ITU-T E.164 format
string | simSmsc
| SMS center number stored on SIM card.
string | networkName
| Name of the currently used network (PLMN)
string | serviceProviderName
| Name of the service provider (SPN)
int | receptionLevel
| reception level in dBm 0 means unknown, -1 means no reception

## Detailed Description

Structure holding information about the modem and the SIM card.

Any of the fields may be empty if the information can not be retrieved.

The documentation for this struct was generated from the following file:

- GsmModem.idl